package ru.yandex.autodoc.wmtools.params.fetch.impl;

import ru.yandex.autodoc.common.doc.abstracts.ParamsDocRegistrar;
import ru.yandex.autodoc.wmtools.params.fetch.MultiParamView;
import ru.yandex.autodoc.wmtools.params.fetch.impl.common.AbstractMultiParamViewBuilder;

/**
 * @author avhaliullin
 */
public class MultiLongBuilder extends AbstractMultiParamViewBuilder<MultiLongBuilder> {
    public MultiLongBuilder(String paramName) {
        super(paramName);
    }

    public MultiParamView<Long> build(ParamsDocRegistrar registrar, String desc) {
        return new LongViewMultiple(registrar, paramName, required, minValues, maxValues, desc);
    }

    @Override
    protected MultiLongBuilder self() {
        return this;
    }
}
